# Interface ClientAuthContext

All Superinterfaces:
  `ClientAuth`

public interface ClientAuthContext extends ClientAuth
Runtime context for client-side JASPIC authentication. A ClientAuthContext is created by a `ClientAuthConfig` and performs the actual authentication of outbound requests and validation of inbound responses.

- ## Method Summary

  ### Methods inherited from interface ClientAuth

  `cleanSubject, secureRequest, validateResponse`